Last Comment Bug 301180 - crash if you stop search and hit the search button again (Mozilla 1.7 only)
: crash if you stop search and hit the search button again (Mozilla 1.7 only)
Status: RESOLVED FIXED
: crash, fixed1.7.12
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: 1.7 Branch
: x86 Windows XP
: -- critical (vote)
: ---
Assigned To: mail
:
Mentors:
: 291970 308090 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-18 04:21 PDT by Marten Lehmann
Modified: 2008-07-31 02:25 PDT (History)
6 users (show)
mscott: blocking1.7.12+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
port the fix to the 1.7 branch (562 bytes, patch)
2005-09-12 23:56 PDT, Scott MacGregor
dbaron: superreview+
dbaron: approval1.7.12+
Details | Diff | Splinter Review

Description Marten Lehmann 2005-07-18 04:21:43 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5

The whole mozilla suite crashs if you search for a string in message bodies,
stop the search and start the search again.

Reproducible: Always

Steps to Reproduce:
1. Open Mozilla Mail
2. Select Tools -> Search Messages
3. Keep default settings, but change type "Subject" to "Body"
4. enter something to look for
5. hit the search-button
6. hit the stop button while the search is going on (choose a larger folder if
search is ending too fast)
6. hit the search-button again
7. mozilla crashes

Actual Results:  
The whole suite crashes.

Expected Results:  
The search should start as it does after the first hit of the search-button.

I'm using mozilla 1.7.8, thus the most current public release.
Comment 1 Stephen Donner [:stephend] 2005-07-18 16:17:03 PDT
Do you have a talkback incident ID for this crash?  Please find and run
talkback.exe and see if you do, then paste the incident ID # in here, or look it
up on http://talkback-public.mozilla.org and paste the stack trace in here.  Thanks.
Comment 2 Stephen Donner [:stephend] 2005-07-18 17:20:01 PDT
bug 283848 is similar, just waiting on a stack.
Comment 3 OstGote! 2005-09-12 15:27:13 PDT
*** Bug 308090 has been marked as a duplicate of this bug. ***
Comment 4 OstGote! 2005-09-12 15:37:31 PDT
I found out that this was fixed for TB on the Aviary 1.0.1 branch with Bug
254199, but not for the Mozilla 1.7 branch. Trunk and 1.8 branch have the patch too.

fix is in
1.8 branch & Trunk (TB 1.5x/SeaMonkey 1.0x)
http://lxr.mozilla.org/mozilla1.8/source/mailnews/base/search/src/nsMsgSearchTerm.cpp#1433
http://lxr.mozilla.org/seamonkey/source/mailnews/base/search/src/nsMsgSearchTerm.cpp#1433
Aviary 1.0.1 branch (TB 1.0.x)
http://lxr.mozilla.org/aviary101branch/source/mailnews/base/search/src/nsMsgSearchTerm.cpp#1430

but NOT in
1.7 Branch (Mozilla Suite 1.7.x)
http://lxr.mozilla.org/mozilla1.7/source/mailnews/base/search/src/nsMsgSearchTerm.cpp#1430

This crasher should be easy to fix for Mozilla 1.7.12.

related, probably the same bug 291970 (stop search while in progress)
Comment 5 Scott MacGregor 2005-09-12 23:56:58 PDT
Created attachment 195845 [details] [diff] [review]
port the fix to the 1.7 branch

very low risk fix for something that's been in the aviary 1.0 branch for quite
some time.
Comment 6 David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2005-09-13 00:00:22 PDT
Comment on attachment 195845 [details] [diff] [review]
port the fix to the 1.7 branch

This is exactly the same as the patch on the other bug. :-)
Comment 7 Scott MacGregor 2005-09-13 00:03:13 PDT
fixed on the 1.7 branch.
Comment 8 Mike Schroepfer 2005-09-19 18:28:21 PDT
Verified?
Comment 9 OstGote! 2005-10-08 11:10:23 PDT
*** Bug 291970 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.